package com.mortals.xhx.module.product.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductVersionVo;
/**
* 产品客户端版本实体对象
*
* @author zxfei
* @date 2022-08-22
*/

public class ProductVersionEntity extends ProductVersionVo {
    private static final long serialVersionUID = 1L;

    /**
    * 产品Id
    */
    private Long productId;
    /**
    * 产品编码
    */
    private String productCode;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 文件相对路径地址
    */
    @Excel(name = "文件相对路径地址")
    private String filePath;
    /**
    * 版本号
    */
    @Excel(name = "版本号")
    private Integer version;
    /**
    * 备注信息
    */
    @Excel(name = "备注信息")
    private String remark;



    public ProductVersionEntity(){}
    /**
    * 获取 产品Id
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品Id
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 产品编码
    * @return String
    */
    public String getProductCode(){
        return productCode;
    }
    /**
    * 设置 产品编码
    * @param productCode
    */
    public void setProductCode(String productCode){
        this.productCode = productCode;
    }
    /**
    * 获取 产品名称
    * @return String
    */
    public String getProductName(){
        return productName;
    }
    /**
    * 设置 产品名称
    * @param productName
    */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
    * 获取 文件相对路径地址
    * @return String
    */
    public String getFilePath(){
        return filePath;
    }
    /**
    * 设置 文件相对路径地址
    * @param filePath
    */
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }
    /**
    * 获取 版本号
    * @return Integer
    */
    public Integer getVersion(){
        return version;
    }
    /**
    * 设置 版本号
    * @param version
    */
    public void setVersion(Integer version){
        this.version = version;
    }
    /**
    * 获取 备注信息
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注信息
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductVersionEntity) {
            ProductVersionEntity tmp = (ProductVersionEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",productId:").append(getProductId());
        sb.append(",productCode:").append(getProductCode());
        sb.append(",productName:").append(getProductName());
        sb.append(",filePath:").append(getFilePath());
        sb.append(",version:").append(getVersion());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.productId = null;

            this.productCode = "";

            this.productName = "";

            this.filePath = "";

            this.version = null;

            this.remark = "";
    }
}